/* #region @keyframes */
@keyframes fadeIn {
	from {
		opacity: 0;
	}

	to {
		opacity: 1;
	}
}

/* #endregion */
/* #region @prefers-reduced-motion */
@media (prefers-reduced-motion: reduce) {
	*, *::before, *::after {
		animation-delay: 0s !important;
		animation-duration: 0s !important;
		scroll-behavior: auto !important;
		transition-delay: 0s !important;
		transition-duration: 0s !important;
	}
}

/* #endregion */
/* #region Elements */
@view-transition {
	navigation: auto;
}

*, *::before, *::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

a {
	color: var(--aqua);
	display: inline-block;
	text-decoration: none;
	transition: var(--transition);

	&:hover {
		text-decoration: underline;
		text-decoration-thickness: var(--px02);
		text-underline-offset: var(--px02);
	}
}

body {
	background-color: var(--bluedark);
	color: var(--blue);
	font-family: var(--font-sans);
}

h1, h2 {
	text-wrap: balance;
}

hr {
	border: 0;
	border-top: var(--px01) solid var(--blue);
	margin: var(--px32) 0;
}

html {
	scroll-behavior: smooth;
	scrollbar-gutter: stable;
}

img {
	display: block;
	max-width: 100%;
}

li {
	margin-bottom: var(--px08);
}

p {
	font-size: var(--fz18);
	line-height: 1.5;
	margin-bottom: var(--px24);
	text-wrap: pretty;
}

ul {
	margin: var(--px16) 0 var(--px32) -1rem;
}

/* #endregion */
/* #region Global */
.btn {
	background-color: var(--aqua);
	border-radius: var(--radius);
	color: white;
	font-size: var(--fz14);
	font-weight: 700;
	letter-spacing: var(--px01);
	padding: var(--px20) var(--px32);
	text-transform: uppercase;

	&:hover {
		background-color: var(--aquadark);
		text-decoration: none;
	}
}

.content {
	margin-inline: auto;
	width: min(85%, var(--content-max-width, 1200px));
}

/* #endregion */
/* #region Nav */
.nav {
	justify-content: end;

	a {
		color: var(--blue);
		font-size: var(--fz16);
		font-weight: 700;
		letter-spacing: var(--px01);
		text-transform: uppercase;

		@media (width < 700px) {
			font-size: var(--fz12);
		}

		+ a {
			margin-left: 3vw;
		}
	}
}

/* #endregion */
/* #region Header */
.header {
	background-color: var(--white-90);
	padding-block: var(--px16);
	position: fixed;
	text-align: center;
	width: 100%;
	z-index: 10;
}

.header-grid {
	align-items: center;
	display: grid;
	grid-template-columns: auto 1fr;
	justify-items: end;

	@media (width < 700px) {
		grid-template-columns: auto;
		justify-items: center;
	}

	.logo {
		width: 200px;

		@media (width < 700px) {
			margin: 0 auto var(--px12);
			width: 140px;
		}

		&.scrolled {
			width: 120px;
		}
	}
}

/* #endregion */
/* #region Footer */
.footer {
	color: white;
	padding-block: var(--px64);
	text-align: center;

	a {
		color: var(--aqualight);
	}

	i {
		font-size: var(--fz28);
	}
}

/* #endregion */
/* #region Hero */
.hero {
	--animation: fadeIn 1s ease-in both;
	background: linear-gradient(to bottom, var(--bluedark), var(--bluedark-50)), url("https://ripcord.sirv.com/CRELaw/iStock-183350846-centered.jpg?cy=100") center/cover;
	color: white;
	display: grid;
	min-height: 80vh;
	padding-top: 20vh;
	position: relative;
	text-align: center;

	h1 {
		animation: var(--animation);
		font-size: var(--fz60);
		font-weight: 600;
		line-height: 1.2;
		margin-bottom: var(--px16);
	}

	img {
		width: var(--px160);
	}

	p {
		animation: var(--animation);
		animation-delay: 1s;
		font-size: var(--fz24);
		line-height: 1.5;
		margin-inline: auto;
		max-width: 45ch;
	}

	.btn {
		animation: var(--animation);
		animation-delay: 2s;
	}
}

/* #endregion */
/* #region Sub */
.sub {
	background: linear-gradient(to bottom, var(--white-90), white), white url("https://ripcord.sirv.com/CRELaw/iStock-183350846-centered.jpg") center/cover;
	min-height: 75vh;
	padding-block: var(--px128);

	h1 {
		font-size: var(--fz40);
		font-weight: 600;
		letter-spacing: -1px;
		margin-bottom: var(--px48);
	}

	h2 {
		font-size: var(--fz20);
		margin-bottom: var(--px06);
		text-transform: uppercase;
	}
}

.sub-about {
	img {
		background-color: white;
		border: var(--px02) solid var(--bluelight);
		border-radius: var(--px06);
		margin-bottom: var(--px16);
		width: 300px;
	}
}

.sub-contact-grid {
	--col-min-width: 600px;
	display: grid;
	gap: var(--px32) var(--px80);
	grid-template-columns: auto 1fr;
	justify-content: start;

	@media (width < 700px) {
		grid-template-columns: 1fr;
	}
}

.sub-services-grid {
	display: grid;
	gap: var(--px32);
	grid-template-columns: auto auto;

	@media (width < 700px) {
		grid-template-columns: auto;
	}
}

/* #endregion */